From ec9430e6576655464b3835372d23f4a1e03f4bf0 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Apr 14 2020 23:12:21 +0000
Subject: [PATCH 269/2232] Adding missing tests; fixing typo.


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 307b7e5..bf5e76d 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -121,7 +121,7 @@ const rust::String &c_try_return_ref(const rust::String &s) { return s; }
 
 rust::Str c_try_return_str(rust::Str s) { return s; }
 
-rust::Slice<uint8_t> c_try_return_sliceU8(rust::Slice<uint8_t> s) { return s; }
+rust::Slice<uint8_t> c_try_return_sliceu8(rust::Slice<uint8_t> s) { return s; }
 
 rust::String c_try_return_rust_string() { return c_return_rust_string(); }
 
diff --git a/tests/test.rs b/tests/test.rs
index ae2fc0c..511c52b 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -29,6 +29,7 @@ fn test_c_return() {
     ffi::c_return_unique_ptr();
     assert_eq!(2020, *ffi::c_return_ref(&shared));
     assert_eq!("2020", ffi::c_return_str(&shared));
+    assert_eq!(b"2020\0", ffi::c_return_sliceu8(&shared));
     assert_eq!("2020", ffi::c_return_rust_string());
     assert_eq!(
         "2020",
@@ -51,6 +52,7 @@ fn test_c_try_return() {
     assert_eq!(2020, *ffi::c_try_return_box().unwrap());
     assert_eq!("2020", *ffi::c_try_return_ref(&"2020".to_owned()).unwrap());
     assert_eq!("2020", ffi::c_try_return_str("2020").unwrap());
+    assert_eq!(b"2020", ffi::c_try_return_sliceu8(b"2020").unwrap());
     assert_eq!("2020", ffi::c_try_return_rust_string().unwrap());
     assert_eq!(
         "2020",

